package com.goldenwater.slaj.hazard.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hazard.mapper.BisHachRecRepMapper;
import com.goldenwater.slaj.hazard.domain.BisHachRecRep;
import com.goldenwater.slaj.hazard.service.IBisHachRecRepService;

/**
 * 危化品入库记录 服务层实现
 */
@Service
public class BisHachRecRepServiceImpl implements IBisHachRecRepService {

    @Autowired
    private BisHachRecRepMapper bisHachRecRepMapper;

    /**
     * 查询危化品入库记录信息
     * @param guid 查询条件
     * @return 危化品入库记录信息
     */
    @Override
    public BisHachRecRep selectBisHachRecRepByGuid(String guid) {
        return bisHachRecRepMapper.selectBisHachRecRepByGuid(guid);
    }

    /**
     * 查询危化品入库记录列表
     * @param bisHachRecRep 危化品入库记录查询条件
     * @return 危化品入库记录集合
     */
    @Override
    public List<BisHachRecRep> selectBisHachRecRepList(BisHachRecRep bisHachRecRep) {
        return bisHachRecRepMapper.selectBisHachRecRepList(bisHachRecRep);
    }

    /**
     * 新增危化品入库记录
     * @param bisHachRecRep 危化品入库记录信息
     * @return 影响行数
     */
    @Override
    public int insertBisHachRecRep(BisHachRecRep bisHachRecRep) {
        return bisHachRecRepMapper.insertBisHachRecRep(bisHachRecRep);
    }

    /**
     * 修改危化品入库记录
     * @param bisHachRecRep 危化品入库记录信息
     * @return 影响行数
     */
    @Override
    public int updateBisHachRecRep(BisHachRecRep bisHachRecRep) {
        return bisHachRecRepMapper.updateBisHachRecRep(bisHachRecRep);
    }

    /**
     * 删除危化品入库记录
     * @param guid 危化品入库记录主键
     * @return 影响行数
     */
    @Override
    public int deleteBisHachRecRepByGuid(String guid) {
        return bisHachRecRepMapper.deleteBisHachRecRepByGuid(guid);
    }

    /**
     * 批量删除危化品入库记录
     * @param guids 危化品入库记录主键数组
     * @return 影响行数
     */
    @Override
    public int deleteBisHachRecRepByGuids(String[] guids) {
        return bisHachRecRepMapper.deleteBisHachRecRepByGuids(guids);
    }
}
